# $Revision: 1.31 $, $Date: 2006/11/23 09:08:36 $
# TODO: move hotplug and udev stuff to subpackages?
Summary:	OpenCT library - library for accessing smart card terminals
Summary(pl):	OpenCT - biblioteka dostpu do terminali kart procesorowych
Name:		openct
Version:	0.6.11
Release:	1
License:	LGPL
Group:		Applications
Source0:	http://www.opensc-project.org/files/openct/%{name}-%{version}.tar.gz
# Source0-md5:	1cdd16b2c1443ecb986abf125af50e7f
Source1:	%{name}.init
URL:		http://www.opensc-project.org/openct/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
# just for config.rpath (required by aclocal/lib-link.m4)
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	libusb-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig >= 1:0.9.0
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenCT is a library for accessing smart card terminals. It provides a
rich set of functions for driver writers, protocol drivers for T=0 and
T=1, serial and USB functionality, including USB hotplugging. 

%description -l pl
OpenCT to biblioteka suca do dostpu do terminali kart
procesorowych (smart card). Dostarcza bogaty zbir funkcji dla
piszcych sterowniki, sterowniki protokow dla T=0 i T=1,
funkcjonalno dla portw szeregowych i USB, wcznie z podczaniem
urzdze USB w locie (hotplug).

%package -n pcsc-driver-openct
Summary:	OpenCT driver for PC/SC
Summary(pl):	Sterownik OpenCT dla PC/SC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pcsc-lite

%description -n pcsc-driver-openct
OpenCT driver for PC/SC.

%description -n pcsc-driver-openct -l pl
Sterownik OpenCT dla PC/SC.

%package libs
Summary:	OpenCT library
Summary(pl):	Biblioteka OpenCT
License:	BSD (libopenct), LGPL (the rest)
Group:		Libraries
Conflicts:	openct < 0.6.2-3

%description libs
OpenCT library.

%description libs -l pl
Biblioteka OpenCT.

%package devel
Summary:	OpenCT development files
Summary(pl):	Pliki dla programistw uywajcych OpenCT
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
OpenSC development files.

%description devel -l pl
Pliki dla programistw uywajcych OpenCT.

%package static
Summary:	Static OpenCT libraries
Summary(pl):	Bibloteki statyczne OpenCT
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenCT libraries.

%description static -l pl
Statyczne biblioteki OpenCT.

%prep
%setup -q

cp -f /usr/share/gettext/config.rpath .

%build
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-rpath \
	--with-bundle-dir=%{_libdir}/pcsc/drivers
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/hotplug/usb,/lib/udev,/var/run/openct}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install etc/openct.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/openct

rm -f $RPM_BUILD_ROOT%{_libdir}/openct-*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add openct
if [ -f /var/lock/subsys/openct ]; then
	/etc/rc.d/init.d/openct restart >&2
else
	echo "Run \"/etc/rc.d/init.d/openct start\" to start openct."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/openct ]; then
		/etc/rc.d/init.d/openct stop >&2
	fi
	/sbin/chkconfig --del openct
fi

%post   libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS TODO doc/ChangeLog doc/*.{html,css}
%attr(755,root,root) %{_bindir}/openct-tool
%attr(755,root,root) %{_sbindir}/ifdhandler
%attr(755,root,root) %{_sbindir}/ifdproxy
%attr(755,root,root) %{_sbindir}/openct-control
%dir /var/run/openct
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openct.conf
%{_sysconfdir}/hotplug/usb/openct.usermap
%attr(755,root,root) /lib/udev/openct_*
%attr(754,root,root) /etc/rc.d/init.d/openct
%{_mandir}/man1/openct-tool.1*

%files -n pcsc-driver-openct
%defattr(644,root,root,755)
%dir %{_libdir}/pcsc/drivers/openct-ifd.bundle
%dir %{_libdir}/pcsc/drivers/openct-ifd.bundle/Contents
%dir %{_libdir}/pcsc/drivers/openct-ifd.bundle/Contents/Linux
%attr(755,root,root) %dir %{_libdir}/pcsc/drivers/openct-ifd.bundle/Contents/Linux/openct-ifd.so
%{_libdir}/pcsc/drivers/openct-ifd.bundle/Contents/Info.plist
%{_libdir}/pcsc/drivers/openct-ifd.bundle/Contents/PkgInfo

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenct.so.*.*.*
%attr(755,root,root) %{_libdir}/libopenctapi.so
%attr(755,root,root) %{_libdir}/openct-ifd.so

%files devel
%defattr(644,root,root,755)
%doc doc/api/*
%attr(755,root,root) %{_libdir}/libopenct.so
%{_libdir}/libopenct.la
%{_libdir}/libopenctapi.la
%{_includedir}/openct
%{_pkgconfigdir}/libopenct.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenct.a
%{_libdir}/libopenctapi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openct.spec,v $
Revision 1.31  2006/11/23 09:08:36  qboosh
- updated to 0.6.11

Revision 1.30  2006/11/13 20:05:47  qboosh
- fixed build with automake 1.10, disable rpath

Revision 1.29  2006/11/13 12:21:16  qboosh
- updated to 0.6.10

Revision 1.28  2006/09/25 11:42:32  qboosh
- updated to 0.6.9

Revision 1.27  2006/06/21 09:03:18  qboosh
- updated to 0.6.8 (EINTR-related bugfix)

Revision 1.26  2006/05/10 13:15:13  qboosh
- updated to 0.6.7, removed obsolete ccid patch
- License is LGPL now (only libopenct remains BSD)

Revision 1.25  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.24  2006/01/09 09:25:41  qboosh
- updated Source0 URL

Revision 1.23  2005/10/12 08:56:05  qboosh
- more specific URL

Revision 1.22  2005/09/20 11:01:38  qboosh
- updated to 0.6.6

Revision 1.21  2005/04/26 18:25:57  qboosh
- updated to 0.6.4 (note: new sonames), updated ccid patch
- -libs Conflicts with base before split (< 0.6.2-3)

Revision 1.20  2005/03/29 15:03:53  havner
- %%files libs

Revision 1.19  2005/03/29 14:46:13  havner
- libs splitted (for opensc and gnupg-agent not to requires openct deamon)
- rel 3

Revision 1.18  2005/01/22 21:25:52  qboosh
- BR ac 2.52

Revision 1.17  2005/01/22 20:49:27  saq
- release 2

Revision 1.16  2005/01/22 20:35:10  saq
- full ac/am regeneration

Revision 1.15  2005/01/22 19:52:02  saq
- todo already done

Revision 1.14  2004/12/22 12:43:33  saq
- rc-script to correctly set up /var/run/openct/status

Revision 1.13  2004/12/10 11:54:11  qboosh
- pkgconfig >= 0.9.0

Revision 1.12  2004/12/10 11:52:39  qboosh
- BR: pkgconfig

Revision 1.11  2004/11/19 10:29:26  saq
- create /var/run/openct/status if ! -f

Revision 1.10  2004/11/04 10:51:02  qboosh
- merged DEVEL branch

Revision 1.9.2.2  2004/11/04 10:50:19  qboosh
- updated to 0.6.2 (stable they say)

Revision 1.9.2.1  2004/08/02 11:22:01  qboosh
- updated to 0.6.1 (beta), added ccid patch (incomplete)

Revision 1.9  2004/07/01 00:08:34  havner
- rel up

Revision 1.8  2004/03/18 22:07:14  matkor
- Version 0.5.0-1.

Revision 1.7  2004/03/18 22:03:40  qboosh
- refresh config.sub for amd64

Revision 1.6  2004/02/01 16:37:04  grzegol
- moved libopenctapi.so to main package (it's a library not a symlink)
- rel. 0.2

Revision 1.5  2003/11/25 15:29:36  qboosh
- updated to 0.5.0

Revision 1.4  2003/10/08 11:57:49  qboosh
- pl for base package, added openct.conf as config
- unified -devel and -static Group

Revision 1.3  2003/10/08 10:05:16  wiget
- typo

Revision 1.2  2003/10/08 10:01:37  wiget
- typo

Revision 1.1  2003/10/08 09:59:10  wiget
- initial
